it-swarm.com.de

Wie installiere ich die alte Version der Bibliothek (Tensorflow)?

Ich versuche Tensorflow r0.11 zu installieren. Ich habe es versucht

pip install tensorflow==r0.11
pip install tensorflow<0.12

Aber ich bekomme diesen Fehler

Could not find a version that satisfies the requirement tensorflow==0.11.0 (from versions: 0.12.0rc0, 0.12.0rc1, 0.12.0, 0.12.1)
No matching distribution found for tensorflow==0.11.0

Ich gehe davon aus, dass pip keine missbrauchten Versionen mehr unterstützt. Wie kann ich es bekommen?

Ich habe es auch versucht

pip install git+git://github.com/tensorflow/[email protected]

Cloning git://github.com/tensorflow/tensorflow (to r0.11) to /private/var/folders/1p/7km73m0s2cvdfb1js3ct8_mh0000gn/T/pip-JMMIRP-build
Complete output from command python setup.py Egg_info:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
IOError: [Errno 2] No such file or directory: '/private/var/folders/1p/7km73m0s2cvdfb1js3ct8_mh0000gn/T/pip-JMMIRP-build/setup.py'

----------------------------------------
Command "python setup.py Egg_info" failed with error code 1 in /private/var/folders/1p/7km73m0s2cvdfb1js3ct8_mh0000gn/T/pip-JMMIRP-build/
15
Himmators

Sie können das Pip-Rad direkt von einer URL aus installieren, zum Beispiel:

# Ubuntu/Linux 64-bit, CPU only, Python 2.7
export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.11.0-cp27-none-linux_x86_64.whl
pip install --ignore-installed --upgrade $TF_BINARY_URL

Im Allgemeinen finden Sie Installationsanweisungen für ältere Versionen von TensorFlow unter https://www.tensorflow.org/versions/r<version>/get_started/os_setup. Die Installationsanweisungen für TensorFlow 0.12 finden Sie beispielsweise unter: https://www.tensorflow.org/versions/r0.12/get_started/os_setup#using_pip .

7
ash

Dies funktioniert für mich unter Mac OS 10.13.1.

pip install --user install tensorflow==1.3.0. 
12
Zhao

Wenn Sie tensorflow r0.11 installieren möchten, bedeutet dies, dass Sie die Quellen von einem bestimmten Zweig (r0.11) aus installieren möchten. Befolgen Sie daher die offiziellen Installationsanweisungen von tensorflow: https://www.tensorflow.org/install/install_sources :

Wenn Sie eine "normale" Version installieren möchten. Dann können Sie einfach den folgenden Befehl verwenden:

pip install --upgrade tensorflow==1.3.0.
5
Rene B.

Das hat für mich funktioniert:

pip3 install 'tensorflow==1.2.0' --force-reinstall

0
flow2k

Wenn Sie über eine eigene Bibliothek/ein eigenes Paket für github/gitlab usw. verfügen, müssen Sie ein Tag hinzufügen, das mit einer konkreten Version der Bibliothek festgeschrieben wird, z. v2.0 dann können Sie Ihr Paket installieren 

pip install git+ssh://link/name/[email protected]
0
zolty13